# Method: hl7V2Stores.getHL7v2StoreMetrics

**Full name**: projects.locations.datasets.hl7V2Stores.getHL7v2StoreMetrics

Gets metrics associated with the HL7v2 store.

### HTTP request

`GET https://healthcare.googleapis.com/v1/{name=projects/*/locations/*/datasets/*/hl7V2Stores/*}:getHL7v2StoreMetrics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the HL7v2 store to get metrics for, in the format `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/hl7V2Stores/{hl7v2_store_id}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `healthcare.hl7V2Stores.get` |

### Request body

The request body must be empty.

### Response body

List of metrics for a given HL7v2 store.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "metrics": [ { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.hl7V2Stores/getHL7v2StoreMetrics#Hl7V2StoreMetric`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` The resource name of the HL7v2 store to get metrics for, in the format `projects/{projectId}/datasets/{datasetId}/hl7V2Stores/{hl7v2_store_id}`. |
| `metrics[]` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.hl7V2Stores/getHL7v2StoreMetrics#Hl7V2StoreMetric`)`` List of HL7v2 store metrics by message type. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## Hl7V2StoreMetric

Count of messages and total storage size by type for a given HL7 store.

| JSON representation |
|---|
| ``` { "messageType": string, "count": string, "structuredStorageSizeBytes": string } ``` |

| Fields ||
|---|---|
| `messageType` | `string` The Hl7v2 message type this metric applies to, such as `ADT` or `ORU`. |
| `count` | `string (https://developers.google.com/discovery/v1/type-format format)` The total count of HL7v2 messages in the store for the given message type. |
| `structuredStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` The total amount of structured storage used by HL7v2 messages of this message type in the store. |